<div class="col-sm-12" *ngIf="user">
    <form [formGroup]="profileForm" (submit)="onSaveProfile(profileForm.value)">
        <div class="form-row">
            <div class="form-group col-md-5">
                <img [src]="imagePath" alt="Select image" (click)="fileSelector.click()" />
                <input type="file" #fileSelector (change)="onImageSelected($event)">
            </div>
            <div class="col-md-7">
                <div class="form-group form-row">

                    <label for="firstName">First name</label>
                    <input type="text " class="form-control " id="firstName" placeholder="First name" formControlName="firstName">

                </div>
                <div class="form-group form-row">
                    <label for="lastName">Last name</label>
                    <input type="text " class="form-control " id="lastName " placeholder="Last name" formControlName="lastName">

                </div>

                <div class="form-group form-row">
                    <label for="birthday">Birthday</label>
                    <input type="date" class="form-control" id="birthday" formControlName="birthday" max="2011-01-02">
                </div>
            </div>
        </div>
        <div class="form-row form-group">
            <label for="about">About me:</label>
            <textarea class="form-control" id="about" formControlName="about" placeholder="About me" rows="5"></textarea>
        </div>

        <div class="form-group" style="text-align:center;">
            <button type="submit" class="btn btn-dark" style="margin-right: 10px">Save Profile</button>
            <button type="button" class="btn btn-dark" style="margin-right: 10px" (click)="onOpenChangeUsernameDialog()">Change username</button>
            <button type="button" class="btn btn-dark" style="margin-right: 10px" (click)="onOpenPasswordChangeDialog()">Change password</button>
            <button type="button" class="btn btn-dark" style="margin-right: 10px" (click)="onOpenDeleteUserDialog()">Delete profile</button>
        </div>

    </form>
</div>
